Package org.apache.sling.feature.cpconverter.handlers

## Class DefaultEntryHandlersManager

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.DefaultEntryHandlersManager

All Implemented Interfaces:
  `EntryHandlersManager`

    public class DefaultEntryHandlersManager
    extends Object
    implements EntryHandlersManager

### Constructor Summary

Constructors
`DefaultEntryHandlersManager()`
`DefaultEntryHandlersManager​(@NotNull Map<String,​String> configs, boolean enforceConfigurationsAndBundlesBelowProperFolder, @NotNull ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy, @NotNull String systemUserRelPath)`
`DefaultEntryHandlersManager​(@NotNull Map<String,​String> configs, boolean enforceConfigurationsAndBundlesBelowProperFolder, @NotNull ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy, @NotNull BundleSlingInitialContentExtractor bundleSlingInitialContentExtractor, @NotNull String systemUserRelPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntryHandler​(@NotNull EntryHandler handler)`
`@Nullable EntryHandler` `getEntryHandlerByEntryPath​(@NotNull String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEntryHandlersManager

    public DefaultEntryHandlersManager()

#### DefaultEntryHandlersManager

    public DefaultEntryHandlersManager​(@NotNull
                                       @NotNull Map<String,​String> configs,
                                       boolean enforceConfigurationsAndBundlesBelowProperFolder,
                                       @NotNull
                                       @NotNull ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy,
                                       @NotNull
                                       @NotNull String systemUserRelPath)

#### DefaultEntryHandlersManager

    public DefaultEntryHandlersManager​(@NotNull
                                       @NotNull Map<String,​String> configs,
                                       boolean enforceConfigurationsAndBundlesBelowProperFolder,
                                       @NotNull
                                       @NotNull ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy,
                                       @NotNull
                                       @NotNull BundleSlingInitialContentExtractor bundleSlingInitialContentExtractor,
                                       @NotNull
                                       @NotNull String systemUserRelPath)

### Method Detail

#### addEntryHandler

    public void addEntryHandler​(@NotNull
                                @NotNull EntryHandler handler)

Specified by:
  `addEntryHandler` in interface `EntryHandlersManager`

#### getEntryHandlerByEntryPath

    @Nullable
    public @Nullable EntryHandler getEntryHandlerByEntryPath​(@NotNull
                                                             @NotNull String path)

Specified by:
  `getEntryHandlerByEntryPath` in interface `EntryHandlersManager`